/*
 * Sequoia: Database clustering technology.
 * Copyright (C) 2005-2006 Continuent, Inc.
 * Contact: sequoia@continuent.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License")
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Initial developer(s): Zsolt Simon, Csaba Simon
 * Contributor(s): 
 */

#include <cppunit/extensions/TestFactoryRegistry.h>
#include <cppunit/ui/text/TestRunner.h>
#include <cppunit/CompilerOutputter.h>
#include <cppunit/TestResult.h>
#include <cppunit/BriefTestProgressListener.h>

#include <cstring>

using namespace CPPUNIT_NS;

int main (int argc, char* argv[])
{
  TextTestRunner runner;
  BriefTestProgressListener listener;
  bool silent;

  silent = argc == 2 && strncmp(argv[1], "--silent", 9) == 0;
    
  runner.addTest(TestFactoryRegistry::getRegistry().makeTest());
  if (!silent)
    runner.eventManager().addListener( &listener );
  runner.setOutputter(new CompilerOutputter(&runner.result(), std::cerr));

  return runner.run("", false, true, silent) ? 0 : 1;
}
